%define name	drakbt
%define version	0.11
%define release %mkrel 1

Summary:	The Mandriva Linux Bittorrent link and status checker
Name:		%{name}
Version:	%{version}
Release:    %{release}
#cvs source
# http://www.mandrivalinux.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://qa.mandriva.com
Group:		Networking/File transfer
Requires:	drakxtools >= 10-57mdk, perl-libwww-perl >= 5.800-1mdk, perl-Digest-SHA1 >= 2.10-1mdk, bittorrent-gui
Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils

BuildArch:	noarch
BuildRequires: perl-MDK-Common-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
drakbt reports status information for a given torrent file or URL. 
It can connect automagically to Mandriva Linux websites to grab and 
display available torrents.
You should provide login and password if you want to connect to club
member restricted torrents. 
After all checks are done, you can trigger the download process from
drakbt.

Information displayed are :
- current number of complete copies (seeds) 
- incomplete copies (leeches) currently active.
- Bittorrent port reachability
- Hash info ....

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot} install 

#menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): needs="x11" command="%{_bindir}/%{name}" mimetypes="application/x-bittorrent" InitialPreference="15" section="Internet/File Transfer" icon="drakbt.png" needs="x11" title="Bittorrent checker" longtitle="Mandriva Linux Bittorrent checker" xdg="true"
?package(%{name}): command="%{_bindir}/%{name} --url %%F" needs="kde" kde_opt="InitialPreference=15" section=".hidden" mimetypes="application/x-bittorrent" icon="drakbt.png" title="Bittorrent Checker" longtitle="Mandriva Linux Bittorrent checker" multiple_files="true" xdg="true"
?package(%{name}): command="%{_bindir}/%{name} --url" needs="gnome" section=".hidden" mimetypes="application/x-bittorrent" icon="drakbt.png" title="Bittorrent Checker" longtitle="Mandriva Linux Bittorrent checker" multiple_files="true" xdg="true"
EOF

#menu-xdg
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOXDGx11
[Desktop Entry]
Name=Bittorrent Checker
Comment=Mandriva Linux Bittorrent checker
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
MimeType=application/x-bittorrent;
Categories=X-MandrivaLinux-.hidden;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOXDGx11

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-KDE.desktop << EOXDGKDE
[Desktop Entry]
Name=Bittorrent Checker
Comment=Mandriva Linux Bittorrent checker
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
MimeType=application/x-bittorrent;
Categories=KDE;X-MandrivaLinux-.hidden;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOXDGKDE

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-GNOME.desktop << EOXDGGNOME
[Desktop Entry]
Name=Bittorrent Checker
Comment=Mandriva Linux Bittorrent checker
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
MimeType=application/x-bittorrent;
Categories=GNOME;X-MandrivaLinux-.hidden;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOXDGGNOME

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/mime-info/Bittorrent\ checker.mime
application/x-bittorrent
	ext: torrent
EOF

#install lang
%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_libdir}/libDrakX/network/*.pm
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}*.desktop
%{_datadir}/mime-info/*
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sat Sep 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.11-1mdv2007.0
- use %%mkrel
- updated translations
- XDG menu (steletcha)
- add requires(post,postun) and appropriate macros for mime type (steletcha)

* Thu Sep 15 2005 Daouda LO <daouda@mandriva.com> 0.10-9mdk
- fix typo
- update translations

* Thu Sep 15 2005 Daouda LO <daouda@mandriva.com> 0.10-8mdk
- pause option doesn't exist pour 10.1 shipped bittorrent package

* Wed Sep 14 2005 Daouda LO <daouda@mandriva.com> 0.10-7mdk
- Give correct URL to drakbt for public torrents
- po updates

* Wed Sep 14 2005 Daouda LO <daouda@mandriva.com> 0.10-6mdk
- fix crash when asking more infos about inexistent torrent
- fix requires
- Don't use '--no-check-certificate' with wget version <= 1.10

* Tue Sep 13 2005 Daouda LO <daouda@mandriva.com> 0.10-5mdk
- option --no-check-certificate with wget for access to club torrents

* Tue Sep 13 2005 Daouda LO <daouda@mandriva.com> 0.10-4mdk
- handle bittorrent binary name change for distros prior to 2006.0
- po updates

* Wed Sep  7 2005 Daouda LO <daouda@mandriva.com> 0.10-3mdk
- adapt to club server changes
- binary name change (btdownloadgui.py renamed bittorrent)
- Update requires

* Tue Jul 26 2005 Daouda LO <daouda@mandriva.com> 0.10-2mdk
- sync with changes in ugtk2 #17035 (oblin)

* Thu May 12 2005 Daouda LO <daouda@mandriva.com> 0.10-1mdk
- fix mime type file association 
- cleanup

* Sat May  7 2005 Daouda LO <daouda@mandriva.com> 0.9.1-1mdk
- switch to mandriva

* Sat Apr  2 2005 Daouda LO <daouda@mandrakesoft.com> 0.9.1-0.2mdk
- don't use --url option with btdownloadgui.py (#14500)
- Browse and launch local files through drakbt
- use --pause 0, to start download immediately

* Wed Feb 23 2005 Daouda LO <daouda@mandrakesoft.com> 0.9.1-0.1mdk
- 0.9.1 pre-release
- Use brand new btdownloadgui.py
- pass the --url option to btdownloadgui.py and strip http string out.
- fix FileSelector crash bug (#13939)

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 0.8.1-7mdk
- fix main loop 

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.8.1-6mdk
- Rebuild

* Mon Oct  4 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-5mdk
- added command line file and http/ftp link handling
- don't try to get file attributes on combo entry changed (#)
- added mime type file (Initial pref for drakbt)

* Tue Sep 14 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-4mdk
- po updates
- fix deep freeze in drakbt when parsing torrent files

* Fri Aug 27 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-3mdk
- display help first
- drakbt src rpm lost in cyberspace

* Wed Aug 25 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-2mdk
- help window
- strict requires on bittorrent-gui
- new icons
- retrieve correct seeds and leeches
- gui fixes and more error checkings

* Wed Aug 18 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-1mdk
- first mdk release

